Bug 183328 - [RHEL4] Mulitload applet shows 100% usage when no swap
[RHEL4] Mulitload applet shows 100% usage when no swap
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-applets (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
Depends On:
Blocks: 234251
  Show dependency treegraph
 
Reported: 2006-02-28 04:25 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 05:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-applets-2.8.0-no-swap.patch (651 bytes, patch)
2006-02-28 04:25 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-02-28 04:25:57 EST
gnome-applets-2.8.0-5

1. Start with some swap enabled
2. Disable the swap with "swapoff"
3. See the swap usage show 100%

It should show 0% instead, so as to avoid confusion.

Partial patch adapted from:
http://cvs.gnome.org/viewcvs/gnome-applets/multiload/linux-proc.c?r1=1.22&r2=1.23

Patch by Bryan Mason <bjmason@redhat.com>
Comment 1 Bastien Nocera 2006-02-28 04:25:57 EST
Created attachment 125387 [details]
gnome-applets-2.8.0-no-swap.patch
Comment 7 Ray Strode [halfline] 2006-03-30 14:06:59 EST
Hi,

I moved this to CanFix prematurely under the new process.
Comment 20 Red Hat Bugzilla 2007-08-15 05:24:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0776.html

Note You need to log in before you can comment on or make changes to this bug.